> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get referral rewards earned by current user

> Return list of referral rewards (KYB and volume bonuses) for the current user.



## OpenAPI

````yaml /openapi.json get /api/v1/user/rewards
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/user/rewards:
    get:
      tags:
        - User
      summary: Get referral rewards earned by current user
      description: >-
        Return list of referral rewards (KYB and volume bonuses) for the current
        user.
      operationId: get_rewards_api_v1_user_rewards_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Reserved for future pagination
            title: Cursor
          description: Reserved for future pagination
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RewardsListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RewardsListResponse:
      properties:
        rewards:
          items:
            $ref: '#/components/schemas/RewardItem'
          type: array
          title: Rewards
        totalAmount:
          type: string
          title: Totalamount
        currency:
          type: string
          title: Currency
          default: USD
      type: object
      required:
        - rewards
        - totalAmount
      title: RewardsListResponse
      description: List of referral rewards earned by the current user.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RewardItem:
      properties:
        id:
          type: string
          title: Id
        date:
          type: string
          format: date-time
          title: Date
        refereeName:
          type: string
          title: Refereename
        refereeId:
          type: string
          format: uuid
          title: Refereeid
        amount:
          type: string
          title: Amount
        currency:
          type: string
          title: Currency
          default: USD
        type:
          $ref: '#/components/schemas/RewardType'
      type: object
      required:
        - id
        - date
        - refereeName
        - refereeId
        - amount
        - type
      title: RewardItem
      description: A single referral reward earned by the current user.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RewardType:
      type: string
      enum:
        - kyb
        - volume
      title: RewardType
      description: Referral reward type.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````